#pragma once
#include <array>
#include <string>

enum binop {
    PLUS,
    MINUS,
    TIMES,
    DIVIDE,
    MODULO,
    EQUALS,
    LESS_EQUALS,
};

constexpr binop all_binops[] = {
    PLUS, MINUS, TIMES, DIVIDE, MODULO,
    EQUALS, LESS_EQUALS
};

std::string op_name(binop op);
std::string op_action(binop op);
